NGRAPH(1)

NAME
Ngraph - creating scientific 2-dimensional graphs

SYNOPSIS
ngraph [options] [data file(s) or ngp file]

DESCRIPTION
Ngraph is the program to create scientific 2-dimensional graphs for researchers and engineers. Graphs can be exported to PostScript, SVG, PNG or PDF format.

OPTIONS
Command line options are:

-L file
    load ngp file

-x column
    data column for the x axis

-y column
    data column for the y axis

-X  use X axis as the x axis

-Y  use Y axis as the y axis

-U  use U axis as the x axis

-R  use R axis as the y axis

-d {mark | line | polygon | curve | diagonal | arrow | rectangle | rectangle_fill | rectangle_solid_fill | errorbar_x | errorbar_y | staircase_x | staircase_y | bar_x | bar_y | bar_fill_x | bar_fill_y | bar_solid_fill_x | bar_solid_fill_y | fit}
    specify plot type

-m type
    specify mark type (0-89)

-o size
    specify mark size

-l style
    specify line style

-w width
    specify line width

-CR n
    specify red component of the 1st plot color (0-255)

-CG n
    specify green component of the 1st plot color (0-255)

-CB n
    specify blue component of the 1st plot color (0-255)

-cr n
    specify red component of the 2nd plot color (0-255)

-cg n
    specify green component of the 2nd plot color (0-255)

-cb n
    specify blue component of the 2nd plot color (0-255)

-s line
    specify number of the head skip

-r step
    specify number of the read step

-f line
    specify number of the final line

-vx n
    neighbor average of the x data

-vy n
    neighbor average of the y data

-mx formula
    specify math transformation for the x data

-my formula
    specify math transformation for the y data

-ex {linear | log | inverse | MJD}
    specify scale type of the x axis

-ey {linear | log | inverse | MJD}
    specify scale type of the y axis

-minx value
    specify minimum value of x axis

-maxx value
    specify maximum value of x axis

-incx value
    specify increment value of x axis

-miny value
    specify minimum value of y axis

-maxy value
    specify maximum value of y axis

-incy value
    specify increment value of y axis

-g  load settings from data file

-png file
    convert ngp file to PNG format

-pdf file
    convert ngp file to PDF format

-ps file
    convert ngp file to PostScript format

-eps file
    convert ngp file to Encapsulated PostScript format

-svg file
    convert ngp file to SVG format

-gra file
    convert ngp file to GRA format

-dialog
    show print dialog (with -p option)

-p file
    print ngp file

-n  output ngp-file to stdout

-h, --help
    show help message

-v, --version
    show version of Ngraph

-V, --VERSION
    show detail information about Ngraph

FILES

${HOME}/.Ngraph/Ngraph.nsc
    start up script

${HOME}/.Ngraph/Ngraph.ini
    configuration file

${HOME}/.Ngraph/Ngraph.ngp
    default graph

AUTHORS
Satoshi ISHIZAKA

Hiroyuki Ito <ZXB01226@nifty.com>

SEE ALSO
ngp2(1)

COPYRIGHT

Copyright © 2003 Satoshi ISHIZAKA

Copyright © 2008-2011 Hiroyuki Ito